## GgitDiffDelta GgitDiffDelta |

## Functions

GgitDiffDelta * | ggit_diff_delta_ref ()
void | ggit_diff_delta_unref ()
GgitDiffFile * | ggit_diff_delta_get_old_file ()
GgitDiffFile * | ggit_diff_delta_get_new_file ()
GgitDeltaType | ggit_diff_delta_get_status ()
guint | ggit_diff_delta_get_similarity ()
GgitDiffFlag | ggit_diff_delta_get_flags ()

## Types and Values

| GgitDiffDelta
enum | GgitDeltaType

## Object Hierarchy

        GBoxed
        ╰── GgitDiffDelta
        GEnum
        ╰── GgitDeltaType

## Description

## Functions

### ggit_diff_delta_ref ()

    GgitDiffDelta *
    ggit_diff_delta_ref (GgitDiffDelta *delta);

Atomically increments the reference count of `delta` by one. This function is MT-safe and may be called from any thread.

#### Parameters

delta | a GgitDiffDelta. |

#### Returns

a GgitDiffDelta or `NULL`.

[transfer none][nullable]

### ggit_diff_delta_unref ()

    void
    ggit_diff_delta_unref (GgitDiffDelta *delta);

Atomically decrements the reference count of `delta` by one. If the reference count drops to 0, `delta` is freed.

#### Parameters

delta | a GgitDiffDelta. |

### ggit_diff_delta_get_old_file ()

    GgitDiffFile *
    ggit_diff_delta_get_old_file (GgitDiffDelta *delta);

Gets the old file for `delta` .

#### Parameters

delta | a GgitDiffDelta. |

#### Returns

the delta's old file or `NULL`.

[transfer none][nullable]

### ggit_diff_delta_get_new_file ()

    GgitDiffFile *
    ggit_diff_delta_get_new_file (GgitDiffDelta *delta);

Gets the new file for `delta` .

#### Parameters

delta | a GgitDiffDelta. |

#### Returns

the delta's new file or `NULL`.

[transfer none][nullable]

### ggit_diff_delta_get_status ()

    GgitDeltaType
    ggit_diff_delta_get_status (GgitDiffDelta *delta);

Gets the GgitDeltaType for `delta` .

#### Parameters

delta | a GgitDiffDelta. |

#### Returns

the delta's status.

### ggit_diff_delta_get_similarity ()

    guint
    ggit_diff_delta_get_similarity (GgitDiffDelta *delta);

Gets the similarity between `delta` files.

#### Parameters

delta | a GgitDiffDelta. |

#### Returns

the delta's similarity.

### ggit_diff_delta_get_flags ()

    GgitDiffFlag
    ggit_diff_delta_get_flags (GgitDiffDelta *delta);

Gets flags for `delta` .

#### Parameters

delta | a GgitDiffDelta. |

#### Returns

the delta flags

## Types and Values

### GgitDiffDelta

    typedef struct _GgitDiffDelta GgitDiffDelta;

Represents the changes done to one file.

### enum GgitDeltaType

Describes the type of change the delta is.

#### Members

GGIT_DELTA_UNMODIFIED | unmodified. |
GGIT_DELTA_ADDED | added. |
GGIT_DELTA_DELETED | deleted. |
GGIT_DELTA_MODIFIED | modified. |
GGIT_DELTA_RENAMED | renamed. |
GGIT_DELTA_COPIED | copied. |
GGIT_DELTA_IGNORED | ignored. |
GGIT_DELTA_UNTRACKED | untracked. |